org.python.util

## Class JLineConsole

- java.lang.Object
- - org.python.util.PythonInterpreter
  - - org.python.util.InteractiveInterpreter
    - - org.python.util.InteractiveConsole
      - - org.python.util.JLineConsole

    public class JLineConsole
    extends InteractiveConsole

This class uses JLine to provide readline like functionality to its console without requiring native readline support.

### Field Summary

### Fields inherited from class org.python.util.InteractiveConsole

`CONSOLE_FILENAME, filename`

### Fields inherited from class org.python.util.InteractiveInterpreter

`buffer`

### Constructor Summary

Constructors
Constructor and Description
`JLineConsole()`
`JLineConsole(PyObject locals)`
`JLineConsole(PyObject locals, java.lang.String filename)`

### Method Summary

Methods
`jline.ConsoleReader` `getReader()`
`PyObject` `getStartupHook()`
`java.lang.String` `raw_input(PyObject prompt)` Write a prompt and read a line from standard input.
`void` `setStartupHook(PyObject hook)` Sets the startup hook (called prior to each readline)

### Methods inherited from class org.python.util.InteractiveConsole

`getDefaultBanner, interact, interact, push, raw_input`

### Methods inherited from class org.python.util.InteractiveInterpreter

`interrupt, resetbuffer, runcode, runsource, runsource, runsource, showexception, write`

### Methods inherited from class org.python.util.PythonInterpreter

`cleanup, compile, compile, compile, compile, eval, eval, exec, exec, execfile, execfile, execfile, get, get, getLocals, getSystemState, initialize, set, set, setErr, setErr, setErr, setIn, setIn, setIn, setLocals, setOut, setOut, setOut, threadLocalStateInterpreter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JLineConsole

    public JLineConsole()

#### JLineConsole

    public JLineConsole(PyObject locals)

#### JLineConsole

    public JLineConsole(PyObject locals,
                java.lang.String filename)

### Method Detail

#### raw_input

    public java.lang.String raw_input(PyObject prompt)

Description copied from class: `InteractiveConsole`
Write a prompt and read a line from standard input. The returned line does not include the trailing newline. When the user enters the EOF key sequence, EOFError is raised. The base implementation uses the built-in function raw_input(); a subclass may replace this with a different implementation.

Overrides:
  `raw_input` in class `InteractiveConsole`

#### getReader

    public jline.ConsoleReader getReader()

Returns:
  the JLine console reader associated with this interpreter

#### getStartupHook

    public PyObject getStartupHook()

Returns:
  the startup hook (called prior to each readline)

#### setStartupHook

    public void setStartupHook(PyObject hook)

Sets the startup hook (called prior to each readline)